Loading...
Searching...
No Matches
Dune::Amg::ConstructionTraits< Opm::ParallelOverlappingILU0< Matrix, Domain, Range, ParallelInfo > > Struct Template Reference

Tells AMG how to construct the Opm::ParallelOverlappingILU0 smoother. More...

`#include <ParallelOverlappingILU0.hpp>`

## Public Types

using | T = Opm::ParallelOverlappingILU0<Matrix,Domain,Range,ParallelInfo>
using | Arguments = DefaultParallelConstructionArgs<T,ParallelInfo>
using | ParallelOverlappingILU0Pointer = std::shared_ptr<T>

## Static Public Member Functions

static ParallelOverlappingILU0Pointer | construct (Arguments &args)

## Detailed Description

template<class Matrix, class Domain, class Range, class ParallelInfo>
struct Dune::Amg::ConstructionTraits< Opm::ParallelOverlappingILU0< Matrix, Domain, Range, ParallelInfo > >

Tells AMG how to construct the Opm::ParallelOverlappingILU0 smoother.

Template Parameters

  Matrix | The type of the Matrix.
  Domain | The type of the Vector representing the domain.
  Range | The type of the Vector representing the range.
  ParallelInfo | The type of the parallel information object used, e.g. Dune::OwnerOverlapCommunication

The documentation for this struct was generated from the following file:

- opm/simulators/linalg/ParallelOverlappingILU0.hpp